%define name	netsniff-ng
%define version 0.5.5.0
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A high performance network sniffer for packet inspection
License:	GPL
Group:		Monitoring
URL:		http://netsniff-ng.org/
Source:     http://www.netsniff-ng.org/pub/netsniff-ng/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
netsniff-ng is a high performance linux network sniffer for packet inspection.
Basically, it is similar to tcpdump, but it doesn't need one syscall per
packet. Instead, it uses an memory mapped area within kernelspace for accessing
packets without copying them to userspace (zero-copy mechanism).

This tool is useful for debugging your network, measuring performance
throughput or creating network statistics of incoming packets on central
network nodes like routers or firewalls. 

%prep
%setup -q -n %{name}
cd src
make clean

%build
cd src
%make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -d -m  755 %{buildroot}%{_sbindir}
install -m 755 src/netsniff-ng %{buildroot}%{_sbindir}
install -d -m  755 %{buildroot}%{_mandir}/man8
install -m 644 netsniff-ng.8 %{buildroot}%{_mandir}/man8
install -d -m  755 %{buildroot}%{_sysconfdir}/netsniff-ng/rules
install -m 644 src/rules/* %{buildroot}%{_sysconfdir}/netsniff-ng/rules

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG CODING COPYING CREDITS HACKING README TODO VERSION
%{_sbindir}/%{name}
%{_mandir}/man8/netsniff-ng.8*
%config(noreplace) %{_sysconfdir}/netsniff-ng/rules


%changelog
* Sun Oct 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.5.0-1mdv2011.0
+ Revision: 584851
- new version

* Fri Feb 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.4.2-1mdv2010.1
+ Revision: 507997
- update to new version 0.5.4.2

* Sun Jan 03 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.4.1-1mdv2010.1
+ Revision: 485973
- new version

* Thu Dec 31 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.4-1mdv2010.1
+ Revision: 484525
- new version

* Tue Dec 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.3-2mdv2010.1
+ Revision: 474936
- add missing man pages and filter rules, as per author suggestion :)

* Mon Dec 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.3-1mdv2010.1
+ Revision: 474582
- import netsniff-ng


* Mon Dec 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.3-1mdv2010.1
- first mdv release
